## ros-melodic-dlux-plugins 0.3.0

=== debian/changelog ===
ros-melodic-dlux-plugins (0.3.0-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 11 Dec 2020 19:55:24 -0000
