=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-dlux-plugins
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: David V. Lu!! <davidvlu@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-dlux-global-planner, ros-melodic-global-planner-tests, ros-melodic-nav-core2, ros-melodic-nav-grid, ros-melodic-pluginlib, ros-melodic-roslint, ros-melodic-rostest
 Homepage:
